Install Community Extension On Linux Server

#1

Hi,

We are using community extensions on different workflows. we have installed extension according to the documents. i think we have missed or forget something.

we have used this document to install extensions its on the page 26.

But we are still getting errors:

MISSING Benchmark Start 13:35 - WARNING: Node can’t be executed - Node “Benchmark Start” not available from extension “Vernalis KNIME Nodes” (provided by “Vernalis (R&D), UK”; plugin “com.vernalis.knime.perfmon” is not installed)

Actually we have installed this plugin. But it think we are missing something

MISSING XLS Control Table from Cell Range 478:27 - WARNING: Node can’t be executed - Node “XLS Control Table from Cell Range” not available from extension “Continental Nodes for KNIME” (provided by “Continental”; plugin “com.continental.knime.xlsformatter” is not installed)

same as above.

script example:
./knime -application org.eclipse.equinox.p2.director -nosplash -consolelog -r http://update.knime.com/community-contributions/3.7 -i com.continental.knime.feature.feature.group -d /home/knime/knime_server

./knime -application org.eclipse.equinox.p2.director -nosplash -consolelog -r http://update.knime.com/community-contributions/3.7 -i com.continental.knime.xlsformatter -d /home/knime/knime_server

Thanks in advance

Regards,
Yasin

0 Likes

#2

Hi Yasin,

and welcome to KNIME Community Forum!

I guess your server has Internet access? If not you need to download zipped update sites.

Regarding your syntax it seems ok although for second one I’m not so sure - com.continental.knime.xlsformatter.

Following Administration guide you attached if you list installed features what do you get?

Br,
Ivan

1 Like

#3

Hi Ivan,

Vernalis Extension is now working. I didnt write the knime-installation server correctly, thats why i wasnt able to run workflows. because i have installed extensions in a different directory.

Now there is another issue that i am not able to run workflows with continental nodes. how can i remove or uninstall continental extension from server. it is listed on installed features. but i want to remove them.

thanks in advance
yasin

1 Like

#4

Hi Yasin,

-u is for uninstalling features. It is in Administration guide on end of page 27 and beginning of page 28 there as part of updating. Try it out and if you don’t succeeded come back here and we will figure it out.

Br,
Ivan

2 Likes

#5

Thank You Ivan.

I have uninstalled the feature. after the Uninstallation, i have installed the feature, i have ran the feature_list command;

./knime -application org.eclipse.equinox.p2.director -nosplash -consolelog -lir -d /home/knime/knime_server/knime_executor/

There is an FrameworkEvent Error on screen after i ran above scriptline.

As usual i wasnt able to run Continental Nodes on Server.

This is theknime_server_log.txt (10.8 KB)

0 Likes

Continental nodes invisible
#6

Hi,

Did you also remove com.continental.knime.xlsformatter prior to installing again? Seems to me that for Continental nodes com.continental.knime.feature.feature.group is only feature group. Maybe that is from where error is coming.

Br,
Ivan

1 Like

#7

Hi,

Yes before i installed feature.group from continental i have uninstalled other things which were part of the continental extension.

then i have installed the extension on the right installation folder.

that error which i sended was showed not on installation of continental extension. it has showed after i ran features command:

./knime -application org.eclipse.equinox.p2.director -nosplash -consolelog -lir -d /home/knime/knime_server/knime_executor

Thanks

yasin

0 Likes

#8

Hi @ysari126,

just to follow up on this one? Have you had any success with Continental Extensions or still experiencing problems?

Br,
Ivan

1 Like

#9

Hi @ipazin,

Something is not right with this continental extension. After i have tried again how you explained i was able to install vernalis extension. but with continental it didnt work. i couldn’t figured out what the problem is. there is an java error which i have posted earlier.

Actually i gave up to use it. :frowning:

You have also mentioned this in another post. Continental nodes invisible

we will install soon the new server version ( KNIME Analytics Platform 4.0 and KNIME Server 4.9). i will give it a try.

regards
yasin

0 Likes

#10

Hi Yasin,

ok. Try that out and hopefully it will work.

Br,
Ivan

0 Likes